<!--?xml version="1.0" encoding="UTF-8"?-->
<!DOCTYPE html>
<html>
    <head>
        <title>SimpleStupidCountdown</title>
        <meta charset="utf-8"/>
        <style>
            body {
                margin: 0;
                font-family:'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
                background-color: #1e1e1e;
                color: #82bf40;
            }

            .hidden {
                visibility: hidden;
                opacity: 0;
                transition: visibility 0s linear 300ms, opacity 300ms;
            }

            .visible {
                visibility: visible;
                opacity: 1;
                /* transition: visibility 0s linear 0s, opacity 300ms; */
            }

            /* ----- Countdown ------------------------------- */
            #countdown-section {
                font-weight: bold;
            }
            #countdown-title {
                font-size: 3.5vw;
                text-align: center;
            }
            #countdown {
                display: flex;
                flex-direction: row;
                flex-wrap: wrap;
                justify-content: space-between;
                margin: 0 10rem;
                text-align: center;
                font-size: 10vw;
            }
            .unity {
                display: block;
                font-size: 30%;
            }

            /* ----- Configuration form ------------------------------- */
            #configuration-form {
                display: flex;
                padding: 1rem;
                background-color: #1e1e1e;
            }
            label {
                display: inline-block;
                width: 8rem;
                height: 2rem;
            }
            #form-go {
                margin-left: 2rem;
                padding: 0 0.3rem;
                font-size: 4.5rem;
                background-color: #cc0000;
                color: #eeeeee;
                border-radius: 0.5rem;
                cursor: pointer;
            }
            #form-go:hover {
                cursor: pointer;
                background-color: #a40000;
            }
            button {
                cursor: pointer;
            }

            /* ----- Header ------------------------------------------- */
            header > h1 {
                position: fixed;
                top: 0.4rem;
                right: 2.5rem;
                color: #82bf40;
                font-weight: bold;
                font-size: 1rem;
            }
            header > p {
                position: fixed;
                top: 0rem;
                right: 0.5rem;
            }
        </style>
    </head>

    <body>
        <header>
            <h1 id="main-title" class="visible">SimpleStupidCountdown</h1>
            <p><button id="show-configuration" title="Show menu">☰</button></p>
            <form action="" method="get" id="configuration-form" class="visible">
                <div>
                    <div>
                        <label for="t">Title: </label>
                        <input type="text" name="t" id="form-title" value="">
                    </div>
                    <div>
                        <label for="s">Duration: </label>
                        <input type="number" name="s" id="form-seconds" value="7200" required> (in seconds)
                    </div>
                    <div>
                        <label for="c">Colors: </label>
                        <input type="color" name="c" id="form-text-color" value="#82bf40"> <input type="color" name="b" id="form-background-color" value="#1e1e1e">
                    </div>
                </div>
                <div>
                    <input type="submit" id="form-go" value="GO!">
                </div>
            </form>
        </header>
        <section id="countdown-section">
            <h1 id="countdown-title"></h1>
            <div id="countdown"></div>
        </section>
    </body>
    <script type="text/javascript" src="countdown.js"></script>
</html>
